#define F_CPU 16000000L // 16 Mhz

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <stdlib.h>
#include <util/delay.h> 

#define UART_BAUD_RATE 9600 //Baud Rate
#define UART_BAUD_CALC(UART_BAUD_RATE,F_CPU) ((F_CPU)/((UART_BAUD_RATE)*16l)-1)
#define uchar unsigned char
#define uint unsigned int

#define	xRC5_IN		PIND
#define	xRC5		PD2			// IR input low active

extern uint	rc5_data;				// store result
